using SecuritySystemContracts.DI;
using SecuritySystemContracts.StoragesContracts;
using SecuritySystemDatabaseImplement.Implements;

namespace SecuritySystemDatabaseImplement
{
    public class DatabaseImplementationExtension : IImplementationExtension
    {
        public int Priority => 2;
        public void RegisterServices()
        {
            DependencyManager.Instance.RegisterType<IClientStorage, ClientStorage>();
            DependencyManager.Instance.RegisterType<IComponentStorage, ComponentStorage>();
            DependencyManager.Instance.RegisterType<IImplementerStorage, ImplementerStorage>();
            DependencyManager.Instance.RegisterType<IMessageInfoStorage, MessageInfoStorage>();
            DependencyManager.Instance.RegisterType<IOrderStorage, OrderStorage>();
            DependencyManager.Instance.RegisterType<ISecureStorage, SecureStorage>();
            DependencyManager.Instance.RegisterType<IBackUpInfoStorage, BackUpInfoStorage>();
        }
    }
}
